package broker

const (
	TyUnknowAction = iota + 100
	TyInitAction
	TyRegisterExectorAction
	TyAuditAction
	TyUpdateIndexAction
	TyEmitInterchainEventAction

	NameInitAction                = "Init"
	NameRegisterExectorAction     = "RegisterExector"
	NameAuditAction               = "Audit"
	NameUpdateIndexAction         = "UpdateIndex"
	NameEmitInterchainEventAction = "EmitInterchainEvent"

	FuncNamePollingEvent      = "PollingEvent"
	FuncNameQueryInnerMeta    = "QueryInnerMeta"
	FuncNameQueryOutterMeta   = "QueryOutterMeta"
	FuncNameQueryCallBackMeta = "QueryCallBackMeta"
	FuncNameQueryInMessage    = "QueryInMessage"
	FuncNameQueryOutMessage   = "QueryOutMessage"
	FuncNameQueryBrokerInfo   = "GetBrokerInfo"
)

// BrokerX 执行器名称定义
const BrokerX = "broker"

const Addr = "1MCftFynyvG2F4ED5mdHYgziDxx6vDrScs"

// 定义actionMap
var ActionMap = map[string]int32{
	NameInitAction:                TyInitAction,
	NameRegisterExectorAction:     TyRegisterExectorAction,
	NameAuditAction:               TyAuditAction,
	NameUpdateIndexAction:         TyUpdateIndexAction,
	NameEmitInterchainEventAction: TyEmitInterchainEventAction,
}
